89f9350d9e
- Fix dmraid issue bnc#905746 A dracut_dmraid_use_udev.patch - Taken over from SLE12 A fips_add_aesni-intel.patch - Do not touch /run vs /var/run bnc#922676 D 0106-dracut-Enable-converting-of-directory-var-run-var-lo.patch - Update dracut to version 042 Remove these already included or unneeded patches: D dracut_v041_to_HEAD.patch D 0011-Correct-paths-for-openSUSE.patch D 0068-95fcoe-uefi-Test-for-EFI-firmware.patch D 0170-enable-logitech-hidpp.patch Adjust/refresh: M 0015-40network-replace-dhclient-with-wickedd-dhcp-supplic.patch M 0016-Add-new-s390x-specific-rule-files.patch M 0017-45ifcfg-use-distro-specific-scripts.patch M 0019-40network-Fix-race-condition-when-wait-for-networks.patch M 0020-00warpclock-Set-correct-timezone.patch M 0021-95dcssblk-Add-new-module-for-DCSS-block-devices.patch M 0048-40network-Only-enable-network-interfaces-if-explicit.patch M 0053-01fips-fixup-loading-issues.patch M 0056-81cio_ignore-handle-cio_ignore-commandline.patch M 0057-01fips-Include-some-more-hmacs.patch M 0058-dracut-add-warning-when-including-unsupported-module.patch M 0059-99suse-Add-SUSE-specific-initrd-parsing.patch M 0060-45ifcfg-Add-SUSE-specific-write-ifcfg-file.patch M 0061-45ifcfg-Fixup-error-message-in-write-ifcfg-suse.patch M 0066-40network-always-start-netroot-in-ifup.sh.patch M 0075-95dasd_rules-enable-parsing-of-rd.dasd-commandline-p.patch M 0076-Correctly-set-cio_ignore-for-dynamic-s390-rules.patch OBS-URL: https://build.opensuse.org/request/show/314510 OBS-URL: https://build.opensuse.org/package/show/Base:System/dracut?expand=0&rev=219
58 lines
2.4 KiB
Diff
58 lines
2.4 KiB
Diff
From 6fd2c01a1cd2dcbd7d2fc3bbe6e62c7d8336bf24 Mon Sep 17 00:00:00 2001
|
|
From: Hannes Reinecke <hare@suse.de>
|
|
Date: Thu, 31 Jul 2014 09:21:14 +0200
|
|
Subject: 40network: fixup static network configuration
|
|
|
|
The static network configuration was broken; the 'gateway' was
|
|
written as the complete 'ip' command line, but simply sourced
|
|
later on.
|
|
|
|
The patch fixes the gateway registration that the '.gw' file
|
|
holds entire 'ip route' command lines, which just needs to
|
|
be evaluated later on.
|
|
|
|
Signed-off-by: Hannes Reinecke <hare@suse.de>
|
|
---
|
|
modules.d/40network/ifup.sh | 13 +++++++++++++
|
|
modules.d/40network/module-setup.sh | 2 ++
|
|
modules.d/40network/net-lib.sh | 6 +++++-
|
|
3 files changed, 20 insertions(+), 1 deletion(-)
|
|
|
|
Index: dracut-042/modules.d/40network/ifup.sh
|
|
===================================================================
|
|
--- dracut-042.orig/modules.d/40network/ifup.sh 2015-06-24 18:02:27.658413647 +0200
|
|
+++ dracut-042/modules.d/40network/ifup.sh 2015-06-24 18:02:27.950430272 +0200
|
|
@@ -241,6 +241,19 @@ do_static() {
|
|
fi
|
|
|
|
[ -n "$gw" ] && echo ip route replace default via $gw dev $netif > /tmp/net.$netif.gw
|
|
+
|
|
+ for ifroute in /etc/sysconfig/network/ifroute-${netif} /etc/sysconfig/netwrk/routes ; do
|
|
+ [ -e ${ifroute} ] || continue
|
|
+ # Pull in existing routing configuration
|
|
+ read ifr_dest ifr_gw ifr_mask ifr_if < ${ifroute}
|
|
+ [ -z "$ifr_dest" -o -z "$ifr_gw" ] && continue
|
|
+ if [ "$ifr_if" = "-" ] ; then
|
|
+ echo ip route add $ifr_dest via $ifr_gw >> /tmp/net.$netif.gw
|
|
+ else
|
|
+ echo ip route add $ifr_dest via $ifr_gw dev $ifr_if >> /tmp/net.$netif.gw
|
|
+ fi
|
|
+ done
|
|
+
|
|
[ -n "$hostname" ] && echo "echo $hostname > /proc/sys/kernel/hostname" > /tmp/net.$netif.hostname
|
|
|
|
return 0
|
|
Index: dracut-042/modules.d/40network/module-setup.sh
|
|
===================================================================
|
|
--- dracut-042.orig/modules.d/40network/module-setup.sh 2015-06-24 18:02:13.849627528 +0200
|
|
+++ dracut-042/modules.d/40network/module-setup.sh 2015-06-24 18:02:27.950430272 +0200
|
|
@@ -53,6 +53,8 @@ install() {
|
|
|
|
[[ $hostonly ]] && {
|
|
inst_multiple /etc/sysconfig/network/ifcfg-*
|
|
+ inst_multiple /etc/sysconfig/network/ifroute-*
|
|
+ inst_simple /etc/sysconfig/network/routes
|
|
}
|
|
|
|
inst_libdir_file {"tls/$_arch/",tls/,"$_arch/",}"libnss_dns.so.*" \
|